package com.fos.modules.printOrder.dao;

import java.util.List;

import com.fos.core.base.CurdDao;
import com.fos.modules.printOrder.entity.OrderEntity;
import com.fos.modules.printOrder.entity.PrintOrderEntity;
import com.fos.modules.printOrder.entity.SubFoodEntity;

public interface PrintOrderDao extends CurdDao<PrintOrderEntity>{

	//获取userInfo
	public List<PrintOrderEntity> getUserInfo(String loginName);
			
	// 获取订单info
	public List<OrderEntity> getOrderInfo(String orderId);
		
	// 获取口味info
	public List<String> getFoodPreInfo(String orderFoodId);
	
	// 获取菜品名称
	public List<SubFoodEntity> getFoodNameInfo(String[] foodId);
	
	// 更新打印状态
    public void updatePrintStatus(OrderEntity orderEntity);
}
